
%global meadversion 1.0.0
%global namedversion 1.0.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}glassfish-concurrent}
%{!?scl:%global pkg_name %{name}}

%global artifact_name javax.enterprise.concurrent

%define maven_version 1.0.0.redhat-1

Name:           %{?scl_prefix}glassfish-concurrent
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Reference Implementation for JSR 236
Group:          Development/Java

%if %with mead
Source100: javax.enterprise.concurrent-1.0.0.redhat-1-scm-sources.zip
Source102: javax.enterprise.concurrent-1.0.0.redhat-1-project-sources.tar.gz
Source103: javax.enterprise.concurrent-1.0.0.redhat-1-javadoc.jar
Source104: javax.enterprise.concurrent-1.0.0.redhat-1.jar
Source105: javax.enterprise.concurrent-1.0.0.redhat-1.pom
Source106: javax.enterprise.concurrent-1.0.0.redhat-1-sources.jar
%endif

License:        CDDL
URL:            http://java.net/projects/cu-javaee

BuildArch:      noarch
BuildRoot:      %{_tmppath}/glassfish-concurrent-%{namedversion}-%{release}-root

%description
Reference Implementation for JSR 236 - Concurrency Utilities for Java EE

%if %with javadoc
%package javadoc
Summary:        Javadoc for glassfish-concurrent
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n glassfish-concurrent -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%endif
%if 0
%{__cp} -p %{_sourcedir}/%{artifact_name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/glassfish-concurrent-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{artifact_name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{artifact_name}-%{namedversion} -x META-INF/\*
%{__ln_s} glassfish-concurrent-%{namedversion} %{buildroot}%{_javadocdir}/glassfish-concurrent
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}glassfish-concurrent
%defattr(0644,root,root,0755)
%{_javadir}/%{artifact_name}-%{namedversion}.jar
%{_javadir}/%{artifact_name}.jar
%if %with javadoc
%{_javadir}/%{artifact_name}-%{namedversion}-javadoc.jar
%{_javadir}/%{artifact_name}-javadoc.jar
%endif
%if 0
%{_javadir}/%{artifact_name}-%{namedversion}-sources.jar
%{_javadir}/%{artifact_name}-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{artifact_name}-%{namedversion}
%{_javadocdir}/%{artifact_name}
%endif

%changelog
* Wed Aug 19 2015 Lin Gao <lgao@redhat.com> - 1.0.0-1.redhat_1.1
- First build of glassfish-concurrent:1.0.0.redhat-1

* Wed Aug 19 2015 Lin Gao <lgao@redhat.com> - 1.0.0-1.redhat_1.1
- Initial build
